Bug 251301 - Rmdir ~/Desktop irreversible
Rmdir ~/Desktop irreversible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 04:33 EDT by Otto J. Makela
Modified: 2015-03-03 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:07:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otto J. Makela 2007-08-08 04:33:37 EDT
Description of problem:
Mistakenly rmdir'ing the Desktop directory from your home directory produces an
irreversible change to showing the whole contents of your home directory as
icons on your desktop. Recreating the directory does not restore the situation
back to the default of only showing its contents as desktop icons.

Version-Release number of selected component (if applicable):
2.18.3-1.fc7

How reproducible:
Every time

Steps to Reproduce:
1. rmdir ~/Desktop
2. from now on, the contents of your home directory will appear as icons on your
desktop
  
Actual results:
mkdir ~/Desktop does not restore the default behavior of only showing its
contents as desktop icons

Expected results:
mkdir ~/Desktop restores the default behavior of only showing the contents of
this directory as desktop icons

Additional info:
This is probably explained somewhere in the documentation, but finding the
information is well-nigh impossible because the word "desktop" is used in so
many contexts and meanings.
Comment 1 Jason Merrill 2007-08-09 17:30:05 EDT
I ran into this problem too.  Note that the "desktop_is_home_dir" key is not
set; I have no idea how to make Nautilus go back to using the Desktop directory.
Comment 2 Otto J. Makela 2007-08-10 14:55:13 EDT
Finally found the solution, but I feel this is severe enough a "feature" that
the behavior should be changed. The value of DESKTOP is defined in the file
~/.config/user-dirs.dirs and if the directory does not exist at login time, it
will revert to $HOME and the change will be written into this file. Either edit
it by hand, or use the command:
$ xdg-user-dirs-update --set DESKTOP $HOME/Desktop

Fix cribbed from:
http://fcp.surfsite.org/modules/newbb/viewtopic.php?topic_id=40936
Comment 3 michael 2007-10-08 07:46:07 EDT
It would be much preferable to have an option to not display 'Desktop' (and then
Unix CLI users (etc) can delete said directory (sic) to their hearts' content!)
- I've also just been caught by this and lost hours trying to fix it
Comment 4 michael 2007-10-08 07:56:18 EDT
If one creates another directory, say $HOME/DummyDesktop and sets DESKTOP in
$HOME/.config/user-dirs.dir to point to that, then the required effect of having
no 'Desktop' icon is achieved (without user's home directory contents being
listed as icons on the desktop)
Comment 5 udo 2008-01-12 09:01:00 EST
I just suffered from this very same buggy situation. My Desktop worked but (the
directory) was somehow moved to a different location.
After moving Desktop back to its place under ~ it wasn't displayed and I jsut
saw all the contents of my ~ as my Desktop.

Best would have been that if the XDG_DESKTOP_DIR from the settings wasn't there
that my ~ was used, but that after restoring the Desktop dir to the
XDG_DESKTOP_DIR setting location the desktop should have been OK again. (al be
it still at the wrong directory location for me)
Next an easy way to change the directory, somewhere in prefreneces and not too
much hidden, would be a very nice to have as well.
Comment 6 Bug Zapper 2008-05-14 09:54:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:07:27 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.